namespace IrrlichtNetSwig
{
    public partial class dimension2df
    {
        public static dimension2df operator +(dimension2df x, dimension2df y)
        {
            return x.add(y);
        }
        public static dimension2df operator *(dimension2df x, float y)
        {
            return x.mul(y);
        }
        public static dimension2df operator /(dimension2df x, float y)
        {
            return x.div(y);
        }
        public static explicit operator dimension2df(dimension2dui original)
        {
            return new dimension2df((float)original.Width, (float)original.Height);
        }
        public static explicit operator dimension2df(dimension2di original)
        {
            return new dimension2df((float)original.Width, (float)original.Height);
        }
    }
}